package ch.phoenix.oss.quarkus.commons.tracing;

public class TracingConstants {

    public static final String ACTOR = "actor";
    public static final String ANONYMOUS = "anonymous";
    public static final String REQUEST_ROUTE = "request.route";
    public static final String REQUEST_METHOD = "request.method";
    public static final String REQUEST_PATH_RAW = "request.path.raw";
    public static final String REQUEST_PATH_PARAMS = "request.path.params";
    public static final String REQUEST_QUERY_RAW = "request.query.raw";
    public static final String REQUEST_QUERY_PARAMS = "request.query.params";
    public static final String REQUEST_HEADERS = "request.headers";
    public static final String REQUEST_CLIENT_IP = "request.client.ip";
    public static final String SCHEDULER_JOB_NAME = "scheduler.job.name";

    private TracingConstants() {}
}
