package ch.phoenix.oss.quarkus.commons.tracing.resource;

import jakarta.annotation.security.PermitAll;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;

@Path("")
@Produces(MediaType.TEXT_PLAIN)
public class BlankResource {

    @GET
    @PermitAll
    public String get() {
        return "get";
    }

    @POST
    @Path("")
    public String post() {
        return "post";
    }
}
