package ch.phoenix.oss.quarkus.commons.tracing.resource;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;

@Path("/")
@Produces(MediaType.TEXT_PLAIN)
public class SlashResource {

    @GET
    @Path("/leading/{param}/{param2}")
    public String doubleLeading(int param, int param2) {
        return "leading/" + param + "/" + param2;
    }

    @GET
    @Path("{param}/{param2}/trailing/")
    public String doubleTrailing(int param, int param2) {
        return param + "/" + param2 + "/trailing";
    }
}
